<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <meta name="author" content="Julien Paris   fullstack developer    co-founder of tech cooperative multi ">
  <title>Datami</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reset.css">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reveal.css">
  <style>
    .reveal .sourceCode {  /* see #7635 */
      overflow: visible;
    }
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    div.columns{display: flex; gap: min(4vw, 1.5em);}
    div.column{flex: auto; overflow-x: auto;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
    ul.task-list li input[type="checkbox"] {
      width: 0.8em;
      margin: 0 0.8em 0.2em -1.6em;
      vertical-align: middle;
    }
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
    /* CSS for syntax highlighting */
    pre > code.sourceCode { white-space: pre; position: relative; }
    pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
    pre > code.sourceCode > span:empty { height: 1.2em; }
    .sourceCode { overflow: visible; }
    code.sourceCode > span { color: inherit; text-decoration: inherit; }
    div.sourceCode { margin: 1em 0; }
    pre.sourceCode { margin: 0; }
    @media screen {
    div.sourceCode { overflow: auto; }
    }
    @media print {
    pre > code.sourceCode { white-space: pre-wrap; }
    pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
    }
    pre.numberSource code
      { counter-reset: source-line 0; }
    pre.numberSource code > span
      { position: relative; left: -4em; counter-increment: source-line; }
    pre.numberSource code > span > a:first-child::before
      { content: counter(source-line);
        position: relative; left: -1em; text-align: right; vertical-align: baseline;
        border: none; display: inline-block;
        -webkit-touch-callout: none; -webkit-user-select: none;
        -khtml-user-select: none; -moz-user-select: none;
        -ms-user-select: none; user-select: none;
        padding: 0 4px; width: 4em;
        color: #aaaaaa;
      }
    pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
    div.sourceCode
      {   }
    @media screen {
    pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
    }
    code span.al { color: #ff0000; font-weight: bold; } /* Alert */
    code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
    code span.at { color: #7d9029; } /* Attribute */
    code span.bn { color: #40a070; } /* BaseN */
    code span.bu { color: #008000; } /* BuiltIn */
    code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
    code span.ch { color: #4070a0; } /* Char */
    code span.cn { color: #880000; } /* Constant */
    code span.co { color: #60a0b0; font-style: italic; } /* Comment */
    code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
    code span.do { color: #ba2121; font-style: italic; } /* Documentation */
    code span.dt { color: #902000; } /* DataType */
    code span.dv { color: #40a070; } /* DecVal */
    code span.er { color: #ff0000; font-weight: bold; } /* Error */
    code span.ex { } /* Extension */
    code span.fl { color: #40a070; } /* Float */
    code span.fu { color: #06287e; } /* Function */
    code span.im { color: #008000; font-weight: bold; } /* Import */
    code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
    code span.kw { color: #007020; font-weight: bold; } /* Keyword */
    code span.op { color: #666666; } /* Operator */
    code span.ot { color: #007020; } /* Other */
    code span.pp { color: #bc7a00; } /* Preprocessor */
    code span.sc { color: #4070a0; } /* SpecialChar */
    code span.ss { color: #bb6688; } /* SpecialString */
    code span.st { color: #4070a0; } /* String */
    code span.va { color: #19177c; } /* Variable */
    code span.vs { color: #4070a0; } /* VerbatimString */
    code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/theme/white.css" id="theme">
  <link rel="stylesheet" href="static/style.css"/>
  <link rel="icon" type="image/x-icon" href="static/favicon.ico"/>
</head>
<body>
  <div class="reveal">
    <div class="slides">

<section id="title-slide" data-background-image="images/logos/logo-DATAMI-rect-colors.png" data-background-position="right
10% top 40%, right 4% top 40%" data-background-size="auto 10%, auto 5%">
  <h1 class="title">Datami</h1>
  <p class="subtitle"><strong>Edit, visualise, share <br> and contribute
to datasets  <br> the easy way</strong></p>
  <p class="author"><span class="text-bold">Julien Paris</span><br>
<span class="text-micro text-author-details"> <em>fullstack
developer</em> </span><br> <span class="text-micro text-author-details">
<em>co-founder of <a href="https://multi.coop">tech cooperative
multi</a></em> </span></p>
  <p class="date"><span class="emph-line">March 20th 2023</span><br>Plan
by pressing <span class="text-nano"><code>esc</code></span><br>Versions
: <a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-fr.html">fr</a>
/ <a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-en.html">en</a></p>
</section>

<section>
<section id="help-your-publics-with-your-data"
class="title-slide slide level1">
<h1>Help your publics with your data</h1>
<div class="text-center" style="font-size:2em">
<p><strong>What are the challenges ?</strong></p>
</div>
</section>
<section id="challenge-1" class="slide level2">
<h2>Challenge #1</h2>
<h3 id="make-your-data-intelligible">Make your data
<strong>intelligible</strong></h3>
</section>
<section class="slide level2">

<div class="columns">
<div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/messy-excel-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ODF-map-all.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<div class="text-center">
<p>Your raw data <br><strong>without</strong> Datami</p>
</div>
</div><div class="column" style="width:50%;">
<div class="text-center">
<p>Your data enhanced <br><strong>with</strong> Datami</p>
</div>
</div>
</div>
</section>
<section id="challenge-2" class="slide level2">
<h2>Challenge #2</h2>
<h3 id="make-updating-and-contributing-easier">Make
<strong>updating</strong> and <strong>contributing</strong> easier</h3>
</section>
<section class="slide level2">

<div class="columns">
<div class="column" style="width:40%;">
<p>Handling data is a matter of habits, facilitating their manipulation
for the greatest number means that you have to <strong>adapt to the
habits</strong> of the greatest number</p>
<div class="fragment">
<p>To allow everyone to easily contribute to the data, the view in the
form of a table is still the most commonly adopted today.</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/table-view-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="challenge-3" class="slide level2">
<h2>Challenge #3</h2>
<h3 id="make-all-of-the-above-with-a-tight-budget">Make all of the above
<strong>with a tight budget</strong></h3>
</section>
<section class="slide level2">

<p>When you are a small or medium-sized structure (association,
community, etc.) and you produce data of general interest, it can be
complicated to highlight them on your site or to call on your community
to put them up to date</p>
<div class="text-center">
<p><strong>Lack of resources, lack of skills, lack of time…</strong></p>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify">
<p>The cost of the usual technical solutions for sharing / viewing /
contributing to data is often explained by the technical
<strong>complexity</strong> of these functionalities</p>
</div>
</div>
</div><div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify" style="padding: 0 1.5em 0 1.5em">
<p>Another cost is related to the need to set up dedicated
<strong>servers</strong> in <em>backend</em> or very specific
configurations</p>
</div>
</div>
</div><div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify">
<p>The <strong>maintenance</strong> of applications or servers often
generates significant costs</p>
</div>
</div>
</div>
</div>
<div class="fragment">
<p>Datami’s original architecture makes it possible to <strong>get rid
of a large part of these <em>backend</em> server costs</strong> while
allowing customization dataset by dataset</p>
</div>
</section></section>
<section>
<section id="enhance-your-open-datasets-with-datami"
class="title-slide slide level1">
<h1>Enhance your open datasets with <strong>Datami</strong></h1>
<div class="fragment">
<div class="img-mini">
<figure>
<img data-src="images/logos/logo-DATAMI-rect-colors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section class="slide level2">

<video
  id="datami-video-presentation"
  width="100%"
  height="90%"
  style="box-shadow: 0 0 20px #D7D7D7;"
  poster="https://raw.githubusercontent.com/multi-coop/datami-website-content/images/logos/logo-DATAMI-rect-colors-03.png"
  controls>
<source
    src="https://raw.githubusercontent.com/multi-coop/datami-website-content/main/videos/DATAMI_PRESENTATION-EN.mp4"
    type="video/mp4">
</video>
</section>
<section id="your-spreadsheets-transformed-into-maps"
class="slide level2">
<h2>Your spreadsheets transformed into maps</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami allows you to create <strong>customized interactive
maps</strong></p>
<div class="fragment">
<p>Your territorial data can be visualized in geographical form,
whatever their themes</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ping-map-detail-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="view-your-data-from-all-angles" class="slide level2">
<h2>View your data from all angles</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Your data can be viewed as <strong>spreadsheets</strong>,
<strong>maps</strong>, miniature or detailed <strong>lists of
records</strong>, or <strong>graphs</strong></p>
<div class="fragment">
<p>All views are interactive and customizable to highlight all the
specifics of your data</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-views-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section id="adapt-datami-to-your-needs" class="slide level2">
<h2>Adapt Datami <br>to your needs</h2>
<div class="columns">
<div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-sketches-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-sketches-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<div class="text-center">
<p>Your <strong>sketches</strong> <br>and your
<strong>datasets</strong>…</p>
</div>
</div><div class="column" style="width:50%;">
<div class="text-center">
<p>… implemented and enhanced <br>with <strong>Datami</strong></p>
</div>
</div>
</div>
</section>
<section id="you-control-your-data-datami-makes-it-understandable"
class="slide level2">
<h2>You control your data <br>Datami makes it understandable</h2>
<p>Datami’s architecture is designed as an <strong>interface between the
citizen and your database</strong> in order to facilitate the link
<strong>between citizens and open data producers</strong></p>
<div class="no-mt h-30">
<p><img data-src="images/roadmaps/devs-archi-en.png" /></p>
</div>
</section>
<section class="slide level2">

<p><strong>Datami doesn’t store your data</strong> : your data stays
within the tool of your choice (Github, Gitlab, database or API). <br>
Using Datami is more <strong>affordable</strong> because you don’t have
to install nor maintain a dedicated <em>backend</em>.</p>
</section>
<section id="integrate-datami-into-your-site-and-your-partners"
class="slide level2">
<h2>Integrate Datami into your <br>site and your partners</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami uses <strong><em>widgets</em></strong> technology: turnkey and
customizable modules that you can add to an existing site</p>
<div class="fragment">
<p>Datami <em>widgets</em> are <strong><em>open source</em></strong>,
simple to copy and paste, without subscription, <strong>without
additional cost</strong></p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/widget-copy-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="a-simplified-process-for-contributory-data-updates"
class="title-slide slide level1">
<h1>A simplified process <br>for contributory data updates</h1>

</section>
<section id="empower-your-teams-and-audiences-to-improve-data"
class="slide level2">
<h2>Empower your teams and audiences <br>to improve data</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami includes a <strong>contribution and moderation
system</strong></p>
<div class="fragment">
<p>Based on the Git language, Datami <em>widgets</em> allow you to keep
control of your data and manage contributions, <strong>without creating
an account</strong> to suggest improvements</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-contribution-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="structure-your-data-to-make-it-interoperable"
class="slide level2">
<h2>Structure your data <br>to make it interoperable</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Your data may be associated with files to structure it, such as
<strong>data schema files</strong></p>
<div class="fragment">
<p>By associating your data set with a data schema respecting
international <strong>standards</strong> you ensure that they can be
correctly reused and improved</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-schemas-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="a-management-tool" class="title-slide slide level1">
<h1>A management tool</h1>

</section>
<section id="drive-your-field-actions-through-data"
class="slide level2">
<h2>Drive your field actions through data</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p><strong>Exploring your data</strong> allows you to better understand
and manage your actions in the field</p>
<div class="fragment">
<p>Datami allows you to set up personalized interactive
data-visualizations, in order to make your data easily explorable</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-pilotage-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="an-open-source-tool" class="title-slide slide level1">
<h1>An <em>open source</em> tool</h1>

</section>
<section id="a-free-and-multi-purpose-software" class="slide level2">
<h2>A free and multi-purpose software</h2>
<figure>
<img data-src="images/screenshots/datami-feats-matrix-en.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section>
<section class="slide level2">

<h3 id="discover-the-interfaces">Discover the interfaces</h3>
<video
  id="datami-video-presentation"
  width="100%"
  height="85%"
  style="box-shadow: 0 0 20px #D7D7D7;"
  poster="https://raw.githubusercontent.com/multi-coop/datami-website-content/images/logos/logo-DATAMI-rect-colors-03.png"
  controls>
<source
    src="https://raw.githubusercontent.com/multi-coop/datami-website-content/main/videos/DATAMI_TUTORIEL-FR.mp4#t=0,135"
    type="video/mp4">
</video>
</section>
<section class="slide level2">

<p>Datami is fully auditable and reusable <strong>free licensed
software</strong></p>
<p>To discover and learn how to use Datami you can:</p>
<div>
<ul>
<li class="fragment">Go to the <a
href="https://datami.multi.coop">official Datami website</a>;</li>
<li class="fragment">Directly access the <a
href="https://gitlab.com/multi-coop/datami-project/datami">Datami source
code</a>;</li>
<li class="fragment">Consult the <a
href="https://datami-docs.multi.coop">technical documentation</a> and
online tutorials;</li>
<li class="fragment">Call on the <a href="https://multi.coop">Multi
cooperative</a> for advice in data science and for training.</li>
</ul>
</div>
</section>
<section id="the-official-website" class="slide level2">
<h2>The official website</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>On our <strong>official website</strong> you will find
<strong>videos</strong> of presentation, <strong>examples</strong>, as
well as our <strong>blog</strong> space</p>
<div class="fragment">
<p>The site is translated into French and English</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-website-en.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>🚀 <a href="https://datami.multi.coop">datami.multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="the-source-code" class="slide level2">
<h2>The source code</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Our <strong>source code is on Gitlab</strong> under <em>open
source</em> license</p>
<div class="fragment">
<p>Do not hesitate to report <em>bugs</em> to us by suggesting <a
href="https://gitlab.com/multi-coop/datami-project/datami/-/issues"><em>issues</em></a>,
or to give ideas for new features on our <a
href="https://gitlab.com/multi-coop/datami-project/datami/-/boards/4736577"><em>roadmap</em></a></p>
<p>A <a href="https://github.com/multi-coop/datami">mirror repo</a> is
also automatically synced to Github</p>
<p>Don’t forget to leave a little ⭐️ if you like the project!</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-gitlab.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>💻 <a href="https://gitlab.com/multi-coop/datami-project/datami">Repo
Gitlab</a></p>
<p><img
data-src="https://img.shields.io/badge/dynamic/json?color=turquoise&amp;label=gitlab%20stars%20%E2%98%85&amp;query=%24.star_count&amp;url=https%3A%2F%2Fgitlab.com%2Fapi%2Fv4%2Fprojects%2F39268471" /></p>
</div>
</div>
</div>
</section>
<section id="the-technical-documentation-site" class="slide level2">
<h2>The technical documentation site</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Also visit our dedicated <strong>documentation site</strong></p>
<div class="fragment">
<p>The site is translated into French and English</p>
<p>You will find different sections there: technical principles,
tutorials, examples, description of the different widgets and their
configuration elements…</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-doc-website.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>🔧 <a
href="https://datami-docs.multi.coop">datami-docs.multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="the-stack" class="slide level2">
<h2>The <em>stack</em></h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>The technical <em>stack</em> is <strong>entirely composed of <em>open
source</em> libraries</strong></p>
</div><div class="column" style="width:60%;">
<ul>
<li><a
href="https://v2.vuejs.org/v2/guide"><code>Vue.js (v2.x)</code></a></li>
<li><a href="https://vuex.vuejs.org/"><code>VueX</code></a></li>
<li><a
href="https://github.com/karol-f/vue-custom-element"><code>vue-custom-element</code></a></li>
<li><a
href="https://www.npmjs.com/package/gray-matter"><code>gray-matter</code></a></li>
<li><a
href="https://www.npmjs.com/package/showdown"><code>Showdown</code></a>
+ <a
href="https://github.com/showdownjs/table-extension#readme"><code>showdown-table extension</code></a></li>
<li><a href="https://bulma.io/"><code>Bulma</code></a> + <a
href="https://buefy.org/"><code>Buefy</code></a></li>
<li><a
href="https://materialdesignicons.com/"><code>Material Design</code></a></li>
<li><a
href="https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch"><code>Fetch</code></a></li>
<li><a
href="https://github.com/kpdecker/jsdiff"><code>JSDiff</code></a></li>
<li><a
href="https://www.npmjs.com/package/diff2html"><code>Diff2html</code></a></li>
<li><a href="https://maplibre.org"><code>MapLibre</code></a></li>
<li><a href="https://apexcharts.com"><code>ApexCharts</code></a></li>
</ul>
</div>
</div>
</section>
<section id="references" class="slide level2">
<h2>References</h2>
<div class="columns">
<div class="column" style="width:50%;">
<p>On <a href="https://comptoir-du-libre.org/fr/softwares/583">Le
Comptoir du Libre</a></p>
<div class="fragment">
<p>Visit this page to leave a comment on Datami!</p>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ref-comptoir-du-libre.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<p>On <a
href="https://alternativeto.net/software/datami/about/p">AlternativeTo</a></p>
<div class="fragment">
<p>Visit this page to leave a comment on Datami!</p>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ref-alternative-to.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section></section>
<section>
<section id="service-offer" class="title-slide slide level1">
<h1>Service offer</h1>

</section>
<section id="the-datami-offer-by-the-multi-cooperative"
class="slide level2">
<h2>The Datami offer by the multi cooperative</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>In order to make Datami as accessible as possible, our principle is
to <strong>share design and development costs</strong></p>
<div class="fragment">
<p>All developments - even minimal ones - contributing to improving
Datami thus ultimately benefit all users.</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/offer/multi-datami-offer-en.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section id="setting-up-datami" class="slide level2">
<h2>Setting up Datami</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-setup.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>We offer an <strong>economic package of a few days</strong> only for
support in setting up Datami</p>
<div class="fragment">
<p>We can help you configure Datami and advise you in your data recovery
project</p>
</div>
</div>
</div>
</section>
<section id="free-software" class="slide level2">
<h2>Free software</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-pack.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>Datami is a <strong>100% <em>open source</em></strong> tool</p>
<div class="fragment">
<p>You can use Datami as it is based on the documentation, you are
free!</p>
</div>
</div>
</div>
</section>
<section id="custom-developments" class="slide level2">
<h2>Custom Developments</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-custom_dev.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>Do not hesitate to contact us to tell us about <strong>your
needs</strong> to establish a personalized quote</p>
<div class="fragment">
<p>We are committed to continuing to develop and improve Datami, and we
also offer services in <em>data science</em> and <em>data
engineering</em></p>
</div>
</div>
</div>
</section></section>
<section>
<section id="installation-guide" class="title-slide slide level1">
<h1>Installation guide</h1>

</section>
<section id="the-source-code-1" class="slide level2">
<h2>The source code</h2>
<p>Clone the source code from Datami’s <a
href="https://gitlab.com/multi-coop/datami-project/datami">Gitlab
repo</a></p>
<div class="sourceCode" id="cb1"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="fu">git</span> clone git@gitlab.com:multi-coop/datami-project/datami.git</span></code></pre></div>
<p>Then navigate to the folder</p>
<div class="sourceCode" id="cb2"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="bu">cd</span> datami</span></code></pre></div>
</section>
<section id="installation" class="slide level2">
<h2>Installation</h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Install <code>npm 8.3.2</code> …</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb3"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> install <span class="at">-g</span> npm@8.3.2</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>… or use <code>nvm</code></p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb4"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a><span class="ex">brew</span> install nvm <span class="co"># sur mac</span></span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a><span class="ex">nvm</span> use</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Install the dependancies</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb5"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> install</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Create a local <code>.env</code> file based on
<code>example.env</code></p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb6"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a><span class="fu">cp</span> example.env .env</span></code></pre></div>
</div>
</div>
</section>
<section id="run-datami" class="slide level2">
<h2>Run Datami</h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Run the script</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb7"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> run serve</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>In your browser</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb8"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb8-1"><a href="#cb8-1" aria-hidden="true" tabindex="-1"></a><span class="ex">http://localhost:8080</span></span></code></pre></div>
</div>
</div>
</section>
<section id="liste-dexemples-de-widgets" class="slide level2">
<h2>Liste d’exemples de <em>widgets</em></h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Run the local server</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb9"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb9-1"><a href="#cb9-1" aria-hidden="true" tabindex="-1"></a><span class="ex">nvm</span> use</span>
<span id="cb9-2"><a href="#cb9-2" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> run http</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>In your browser</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb10"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb10-1"><a href="#cb10-1" aria-hidden="true" tabindex="-1"></a><span class="ex">http://localhost:8180/html-tests/</span></span></code></pre></div>
</div>
</div>
</section></section>
<section>
<section id="benchmark" class="title-slide slide level1">
<h1>Benchmark</h1>

</section>
<section class="slide level2">

<div class="text-center">
<p>There are several data visualization and editing solutions
<br>sharing similarities with <a
href="https://datami.multi.coop">Datami</a></p>
<p>Here are some of the most popular solutions</p>
<div class="fragment">
<p><strong>Those benchmarks are given for information only</strong></p>
<p>Do not hesitate to let us know by writing
to<br><code>contact@multi.coop</code> <br>if you wish to make any
corrections or additions</p>
</div>
</div>
</section>
<section class="slide level2">

<h3 id="datavisualisation-tools">Datavisualisation tools</h3>
<table>
<colgroup>
<col style="width: 11%" />
<col style="width: 10%" />
<col style="width: 21%" />
<col style="width: 12%" />
<col style="width: 4%" />
<col style="width: 40%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Solution type</th>
<th>Langages</th>
<th>Difficulty</th>
<th>Saas</th>
<th>Official website</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Gogocarto</strong></td>
<td>Open source</td>
<td>Custom</td>
<td>Easy</td>
<td>Yes</td>
<td><a
href="https://gogocarto.fr/projects">https://gogocarto.fr/projects</a></td>
</tr>
<tr class="even">
<td><strong>Umap</strong></td>
<td>Open source</td>
<td>Custom</td>
<td>Facile</td>
<td>Yes</td>
<td><a
href="https://umap.openstreetmap.fr/">https://umap.openstreetmap.fr/</a></td>
</tr>
<tr class="odd">
<td><strong>Lizmap</strong></td>
<td>Open source</td>
<td>Propre langage de requête</td>
<td>Medium</td>
<td>Yes</td>
<td><a href="https://www.lizmap.com">https://www.lizmap.com</a></td>
</tr>
<tr class="even">
<td><strong>Apache Superset</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Medium</td>
<td>Yes</td>
<td><a
href="https://superset.apache.org/">https://superset.apache.org/</a></td>
</tr>
<tr class="odd">
<td><strong>Apache Zeppelin</strong></td>
<td>Open source</td>
<td>Several programmation languages</td>
<td>Hard</td>
<td>No</td>
<td><a
href="https://zeppelin.apache.org/">https://zeppelin.apache.org/</a></td>
</tr>
<tr class="even">
<td><strong>BIRT</strong></td>
<td>Open source</td>
<td>Java, JavaScript</td>
<td>Hard</td>
<td>No</td>
<td><a
href="https://www.eclipse.org/birt/">https://www.eclipse.org/birt/</a></td>
</tr>
<tr class="odd">
<td><strong>FineReport</strong></td>
<td>Open source</td>
<td>Java, JavaScript</td>
<td>Medium</td>
<td>No</td>
<td><a
href="https://www.finereport.com/en">https://www.finereport.com/en</a></td>
</tr>
<tr class="even">
<td><strong>Grafana</strong></td>
<td>Open source</td>
<td>Custom request language</td>
<td>Hard</td>
<td>No</td>
<td><a href="https://grafana.com/">https://grafana.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Metabase</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Easy</td>
<td>Yes</td>
<td><a
href="https://www.metabase.com/">https://www.metabase.com/</a></td>
</tr>
<tr class="even">
<td><strong>Redash</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Medium</td>
<td>No</td>
<td><a href="https://redash.io/">https://redash.io/</a></td>
</tr>
<tr class="odd">
<td><strong>Datasette</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Medium</td>
<td>No</td>
<td><a href="https://datasette.io/">https://datasette.io/</a></td>
</tr>
<tr class="even">
<td><strong>LightDash</strong></td>
<td>Open source</td>
<td>Dbt</td>
<td>Medium</td>
<td>Yes</td>
<td><a
href="https://www.lightdash.com/">https://www.lightdash.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Google Data Studio</strong></td>
<td>Free (but not open)</td>
<td>SQL</td>
<td>Easy</td>
<td>Yes</td>
<td><a
href="https://datastudio.google.com/">https://datastudio.google.com/</a></td>
</tr>
<tr class="even">
<td><strong>Datawrapper</strong></td>
<td>Commercial</td>
<td>API, CSV, GSheet</td>
<td>Easy</td>
<td>Yes</td>
<td><a
href="https://www.datawrapper.de/">https://www.datawrapper.de/</a></td>
</tr>
<tr class="odd">
<td><strong>Google Looker</strong></td>
<td>Commercial</td>
<td>LookML</td>
<td>Hard</td>
<td>Yes</td>
<td><a href="https://looker.com/">https://looker.com/</a></td>
</tr>
<tr class="even">
<td><strong>Microsoft Power BI</strong></td>
<td>Commercial</td>
<td>DAX et M</td>
<td>Medium</td>
<td>Yes</td>
<td><a
href="https://powerbi.microsoft.com/">https://powerbi.microsoft.com/</a></td>
</tr>
<tr class="odd">
<td><strong>QlikView</strong></td>
<td>Commercial</td>
<td>Custom script language</td>
<td>Hard</td>
<td>Yes</td>
<td><a href="https://www.qlik.com/">https://www.qlik.com/</a></td>
</tr>
<tr class="even">
<td><strong>Tableau</strong></td>
<td>Commercial</td>
<td>Custom</td>
<td>Medium</td>
<td>Yes</td>
<td><a href="https://www.tableau.com/">https://www.tableau.com/</a></td>
</tr>
</tbody>
</table>
</section>
<section class="slide level2">

<h3 id="online-editing-tools">Online editing tools</h3>
<table>
<colgroup>
<col style="width: 8%" />
<col style="width: 5%" />
<col style="width: 11%" />
<col style="width: 9%" />
<col style="width: 2%" />
<col style="width: 30%" />
<col style="width: 32%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Solution type</th>
<th>Langages</th>
<th>Difficulty</th>
<th>Saas</th>
<th>Targeted public</th>
<th>Official webiste</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Apache Zeppelin</strong></td>
<td>Open source</td>
<td>Scala, Python, R, SQL</td>
<td>Hard</td>
<td>No</td>
<td>Developers and professional users</td>
<td><a
href="https://zeppelin.apache.org/">https://zeppelin.apache.org/</a></td>
</tr>
<tr class="even">
<td><strong>Baserow</strong></td>
<td>Open source</td>
<td>Python, Javascript, Vue.js</td>
<td>Moyen</td>
<td>Yes</td>
<td>Developers and professional users</td>
<td><a href="https://baserow.io/">https://baserow.io/</a></td>
</tr>
<tr class="odd">
<td><strong>Grist</strong></td>
<td>Open source</td>
<td>Python</td>
<td>Easy</td>
<td>Yes</td>
<td>Businesses, non-profit organizations, governments, universities,
researchers</td>
<td><a href="https://getgrist.com/">https://getgrist.com/</a></td>
</tr>
<tr class="even">
<td><strong>Metabase</strong></td>
<td>Open source</td>
<td>Java, Clojure</td>
<td>Medium</td>
<td>Yes</td>
<td>Startups, businessees, non-profit organizations</td>
<td><a
href="https://www.metabase.com/">https://www.metabase.com/</a></td>
</tr>
<tr class="odd">
<td><strong>LockoKit</strong></td>
<td>Open source</td>
<td>…</td>
<td>Medium</td>
<td>No</td>
<td>Developers and professional user</td>
<td><a href="https://locokit.io/">https://locokit.io/</a></td>
</tr>
<tr class="even">
<td><strong>NoCodB</strong></td>
<td>Open source</td>
<td>Javascript, Node.js</td>
<td>Easy</td>
<td>Yes</td>
<td>Developers and professional users</td>
<td><a href="https://nocodb.com/">https://nocodb.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Gsheet</strong></td>
<td>-</td>
<td>None</td>
<td>Easy</td>
<td>Yes</td>
<td>Companies, teams, freelancers, SMEs</td>
<td><a
href="https://www.google.com/sheets/about/">https://www.google.com/sheets/about/</a></td>
</tr>
<tr class="even">
<td><strong>Airtable</strong></td>
<td>Commercial</td>
<td>None</td>
<td>Easy</td>
<td>Yes</td>
<td>Companies, teams, freelancers, SMEs</td>
<td><a href="https://airtable.com/">https://airtable.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Qlikview</strong></td>
<td>Commercial</td>
<td>None</td>
<td>Medium</td>
<td>Yes</td>
<td>Large corporations, financial institutions</td>
<td><a href="https://www.qlik.com/us/">https://www.qlik.com/us/</a></td>
</tr>
</tbody>
</table>
</section>
<section id="benchmark-features" class="slide level2">
<h2>Benchmark features</h2>
<div class="text-micro">
<p>Among all the solutions we have just listed, some can be compared
with <strong>Datami</strong>’s main features.</p>
</div>
<table style="width:100%;">
<colgroup>
<col style="width: 7%" />
<col style="width: 5%" />
<col style="width: 4%" />
<col style="width: 4%" />
<col style="width: 5%" />
<col style="width: 4%" />
<col style="width: 5%" />
<col style="width: 3%" />
<col style="width: 5%" />
<col style="width: 11%" />
<col style="width: 8%" />
<col style="width: 9%" />
<col style="width: 2%" />
<col style="width: 21%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Open source</th>
<th>Readyness</th>
<th>Table view</th>
<th>Cards view</th>
<th>Map view</th>
<th>Dataviz view</th>
<th>Edition</th>
<th>Moderation</th>
<th>Configuration interface</th>
<th>Data sources</th>
<th>Backend</th>
<th>Widget</th>
<th>Official website</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Datami</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌ (for now)</td>
<td>API ext. (Git)</td>
<td>Git platforms / APIs</td>
<td>✅</td>
<td><a href="https://datami.multi.coop/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Metabase</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>✅</td>
<td>⚠️</td>
<td>❌</td>
<td>✅</td>
<td>SQL, connectors</td>
<td>server / APIs</td>
<td>✅</td>
<td><a href="https://www.metabase.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Gogocarto</strong></td>
<td>✅</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>proper</td>
<td>server / APIs</td>
<td>✅</td>
<td><a href="https://gogocarto.fr/projects">Website</a></td>
</tr>
<tr class="even">
<td><strong>Lizmap</strong></td>
<td>✅</td>
<td>⭐</td>
<td>⚠️</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>proper</td>
<td>server / ❓</td>
<td>✅</td>
<td><a href="https://www.lizmap.com">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Umap</strong></td>
<td>✅</td>
<td>⭐⭐⭐</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>…</td>
<td>server / ❓</td>
<td>✅</td>
<td><a href="https://umap.openstreetmap.fr/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Grist</strong></td>
<td>✅</td>
<td>⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / APIs</td>
<td>❌</td>
<td><a href="https://getgrist.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Baserow</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://baserow.io/">Website</a></td>
</tr>
<tr class="even">
<td><strong>LockoKit</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>proper</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://locokit.io/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>NoCodB</strong></td>
<td>✅</td>
<td>⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://nocodb.com/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Apache Superset</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / Saas</td>
<td>❓</td>
<td><a href="https://superset.apache.org/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Datawrapper</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>SQL, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://www.datawrapper.de/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Airtable</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>⚠️</td>
<td>✅</td>
<td>⚠️</td>
<td>✅</td>
<td>proper, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://airtable.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Gsheet</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>proper, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://www.google.com/sheets/about/">Website</a></td>
</tr>
</tbody>
</table>
<div class="text-micro text-center">
<p>The ❓ indicates the information is to be completed<br> The ⚠️ that
the functionality can be implemented either in a roundabout way or as a
hack</p>
</div>
</section>
<section class="slide level2">

<p>Although these solutions share some features with <a
href="https://datami.multi.coop">Datami</a>, they can differ
significantly in terms of cost, complexity and specific features</p>
<p>It is important to take into account the <strong>specific needs of
each project</strong> before choosing the most suitable online data
visualization and editing solution</p>
</section></section>
<section>
<section id="technical-roadmaps" class="title-slide slide level1">
<h1>Technical roadmaps</h1>

</section>
<section class="slide level2">

<p>Here is a list of different features <br>that reflect requests and
needs <br>from our users to date.</p>
<div class="text-micro">
<p>This roadmap is to be taken as a <em>whish list</em> of features that
we consider interesting and compatible with Datami, and that we would
like to be able to develop <strong>if we manage to find the
corresponding funding</strong>.</p>
</div>
</section>
<section class="slide level2">

<p>The features’ developments are described as follow :</p>
<div class="text-micro">
<ul>
<li><strong>Milestone</strong> : family of features</li>
<li><strong>Features</strong> : feature to develop</li>
<li><strong>Priority</strong> ( 🔴 ) : importance given to the feature
by the users</li>
<li><strong>Difficulty</strong> ( ▪️ ) : anticipated comlexity of the
feature</li>
<li><strong>Dev. + man.</strong> : sum of development and management (in
days per person)</li>
</ul>
</div>
</section>
<section id="technical-roadmap-2023---global" class="slide level2">
<h2>Technical roadmap 2023 - global</h2>
<p><br></p>
<div class="text-center">
<p><b>Classified by milestones</b></p>
</div>
<table>
<colgroup>
<col style="width: 44%" />
<col style="width: 16%" />
<col style="width: 19%" />
<col style="width: 19%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>More data sources</b></td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>38 days</b></td>
</tr>
<tr class="even">
<td><b>Online widget configuration</b></td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>26 days</b></td>
</tr>
<tr class="odd">
<td><b>Manage contribution widget</b></td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>25 days</b></td>
</tr>
<tr class="even">
<td><b>Protect widget with password</b></td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>12 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>42 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>44 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - maps</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>37 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - customization</b></td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>13 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - new views</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>27 days</b></td>
</tr>
<tr class="even">
<td><b>Refactoring</b></td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>48 days</b></td>
</tr>
<tr class="odd">
<td><b>Tests</b></td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td><strong>TOTAL</strong></td>
<td><strong>330 days</strong></td>
</tr>
</tbody>
</table>
</section>
<section id="diagram-of-future-developments" class="slide level2">
<h2>Diagram of future developments</h2>
<div class="text-micro">
<div class="columns">
<div class="column" style="width:50%;">
<p>Elements in <span class="text-secondary">orange</span> symbolize the
main milestones to be developped as described in the roadmap above.</p>
<p>Elements colored in <strong>turquoise</strong> symbolize features
already existing in Datami.</p>
</div><div class="column mt-default" style="width:50%;">
<ul>
<li><soan class="text-secondary">A</soan> : <b>Online widget
configuration</b></li>
<li><soan class="text-secondary">B</soan> : <b>Manage contribution
widget</b></li>
<li><soan class="text-secondary">C</soan> : <b>More data
sources</b></li>
</ul>
</div>
</div>
</div>
<div class="no-mt h-50">
<figure>
<img data-src="images/roadmaps/archi-devs-roadmap-en.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</section>
<section id="technical-roadmap-2023---detailed-12" class="slide level2">
<h2>Technical roadmap 2023 - detailed 1/2</h2>
<table style="width:100%;">
<colgroup>
<col style="width: 27%" />
<col style="width: 37%" />
<col style="width: 10%" />
<col style="width: 12%" />
<col style="width: 12%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Features</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Connect to external APIs - generic</td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>5 days</b></td>
</tr>
<tr class="even">
<td><b>More data sources</b></td>
<td>Connect to external APIs - OSM</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>5 days</b></td>
</tr>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Activity pub integration</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="even">
<td><b>More data sources</b></td>
<td>Connector to SourceForge</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>5 days</b></td>
</tr>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Connector to BitBucket</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>5 days</b></td>
</tr>
<tr class="even">
<td><b>Online widget configuration</b></td>
<td>Interactive interface + preview</td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>20 days</b></td>
</tr>
<tr class="odd">
<td><b>Online widget configuration</b></td>
<td>Save new config to git repo</td>
<td>🔴 high</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Manage contribution widget</b></td>
<td>Interface loading last PRs from repo</td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="odd">
<td><b>Manage contribution widget</b></td>
<td>Accept / moderate PR + messages</td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>10 days</b></td>
</tr>
<tr class="even">
<td><b>Protect widget with password</b></td>
<td>Protect access before showing widget</td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>6 days</b></td>
</tr>
<tr class="odd">
<td><b>Protect widget with password</b></td>
<td>Special token for protected widget</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Add a new column + update schema</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>Drag &amp; drop CSV to widget</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Save CSV file to Git repo</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>4 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>Add / drag-drop a picture in a cell</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Cache user changes / branch until pushing</td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Full screen - debug</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Range filter</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>4 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Change width column</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>8 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Helper at loader</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>2 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Better integration of Frictionless data packages</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Export as pdf</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - maps</b></td>
<td>Inject data to vector tiles on map view</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>8 days</b></td>
</tr>
</tbody>
</table>
</section>
<section id="technical-roadmap-2023---detailed-22" class="slide level2">
<h2>Technical roadmap 2023 - detailed 2/2</h2>
<table style="width:100%;">
<colgroup>
<col style="width: 27%" />
<col style="width: 37%" />
<col style="width: 10%" />
<col style="width: 12%" />
<col style="width: 12%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Features</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>Better UX - maps</b></td>
<td>Add or edit geojson objects</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>29 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - customization</b></td>
<td>Custom styles / CSS / logos</td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>4 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - customization</b></td>
<td>Accessibility</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>9 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - new views</b></td>
<td>Agenda view</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>8 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - new views</b></td>
<td>Graphs view with D3js</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - new views</b></td>
<td>Simultaneous dataviz + map on same view</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>9 days</b></td>
</tr>
<tr class="odd">
<td><b>Refactoring</b></td>
<td>Put all git* requests into a package</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="even">
<td><b>Refactoring</b></td>
<td>Migration to Typescript</td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="odd">
<td><b>Refactoring</b></td>
<td>Migration to Vue3</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="even">
<td><b>Tests</b></td>
<td>Add functional &amp; unit tests</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
</tbody>
</table>
</section>
<section id="technical-roadmap-2023---global-1" class="slide level2">
<h2>Technical roadmap 2023 - global</h2>
<p><br></p>
<div class="text-center">
<p><b>Classified by priority / difficulty</b></p>
</div>
<div class="table-matrix">
<table style="width:100%;">
<colgroup>
<col style="width: 29%" />
<col style="width: 18%" />
<col style="width: 17%" />
<col style="width: 17%" />
<col style="width: 18%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Priority / Difficulty</strong></th>
<th>▪️▪️▪️ hard</th>
<th>▪️▪️ medium</th>
<th>▪️ easy</th>
<th><strong>TOTAL</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>🔴 high</td>
<td>35 days</td>
<td>6 days</td>
<td>15 days</td>
<td><b>56 days</b></td>
</tr>
<tr class="even">
<td>🟠 medium</td>
<td>27 days</td>
<td>39 days</td>
<td>10 days</td>
<td><b>76 days</b></td>
</tr>
<tr class="odd">
<td>🟡 low</td>
<td>132 days</td>
<td>47 days</td>
<td>19 days</td>
<td><b>198 days</b></td>
</tr>
<tr class="even">
<td><strong>TOTAL</strong></td>
<td><b>194 days</b></td>
<td><b>92 days</b></td>
<td><b>44 days</b></td>
<td><strong>330 days</strong></td>
</tr>
</tbody>
</table>
</div>
</section>
<section id="retroplanning" class="slide level2">
<h2>Retroplanning</h2>
<div class="text-micro text-center">
<p>Note : this schedule is expected to evolve according to user requests
and funding.</p>
</div>
<div class="img-table">
<figure>
<img data-src="images/tables/retroplanning.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</section></section>
<section>
<section id="credits" class="title-slide slide level1">
<h1>Credits</h1>

</section>
<section id="a-project-by-the-multi-cooperative" class="slide level2">
<h2>A project by the multi cooperative</h2>
<div class="columns">
<div class="column" style="width:60%;">
<p>Our cooperative contributes to the development of <strong>digital
commons</strong> and associated services, by bringing together a
community of professionals working for a <strong>digital of general
interest</strong></p>
</div><div class="column" style="width:40%;">
<figure>
<img data-src="images/logos/logo-MULTI-colored-063442-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
<div class="text-center">
<p>🚀 <a href="https://multi.coop">https://multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="our-first-users" class="slide level2">
<h2>Our first users</h2>
<figure>
<img data-src="images/clients/clients.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section>
<section id="our-sponsors" class="slide level2">
<h2>Our sponsors</h2>
<p>Datami was <strong>laureate of the Plan France Relance 2022</strong>
and has benefited from the support of the following organizations</p>
<figure>
<img data-src="images/sponsors/sponsors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section></section>
<section>
<section id="section" class="title-slide slide level1">
<h1></h1>
<div class="text-center">
<p><strong>Thanks for your attention !</strong></p>
</div>
<p><br></p>
<div class="columns">
<div class="column" style="width:40%;">
<div class="img-nano">
<figure>
<img data-src="images/logos/logo-DATAMI-rect-colors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:20%;">
<div class="text-micro text-center">
<p><a href="https://datami.multi.coop">Datami</a></p>
<p>is a project led by the cooperative</p>
<p><a href="https://multi.coop">multi</a></p>
</div>
</div><div class="column" style="width:40%;">
<div class="img-nano">
<figure>
<img data-src="images/logos/logo-MULTI-colored-063442-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<div class="img-mini">
<figure>
<img data-src="images/sponsors/sponsors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="text-center">
<p><strong>contact@multi.coop</strong></p>
</div>
</section>
<section class="slide level2">

<div class="text-center">
<p><a
href="https://gitlab.com/multi-coop/datami-project/datami-slides-fr">Slides
source</a></p>
</div>
</section></section>
    </div>
  </div>

  <script src="https://unpkg.com/reveal.js@^4//dist/reveal.js"></script>

  <!-- reveal.js plugins -->
  <script src="https://unpkg.com/reveal.js@^4//plugin/notes/notes.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/search/search.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/zoom/zoom.js"></script>

  <script>

      // Full list of configuration options available at:
      // https://revealjs.com/config/
      Reveal.initialize({
        // Display controls in the bottom right corner
        controls: true,

        // Help the user learn the controls by providing hints, for example by
        // bouncing the down arrow when they first encounter a vertical slide
        controlsTutorial: true,

        // Determines where controls appear, "edges" or "bottom-right"
        controlsLayout: 'bottom-right',

        // Visibility rule for backwards navigation arrows; "faded", "hidden"
        // or "visible"
        controlsBackArrows: 'faded',

        // Display a presentation progress bar
        progress: true,

        // Display the page number of the current slide
        slideNumber: true,

        // 'all', 'print', or 'speaker'
        showSlideNumber: 'all',

        // Add the current slide number to the URL hash so that reloading the
        // page/copying the URL will return you to the same slide
        hash: true,

        // Start with 1 for the hash rather than 0
        hashOneBasedIndex: false,

        // Flags if we should monitor the hash and change slides accordingly
        respondToHashChanges: true,

        // Push each slide change to the browser history
        history: false,

        // Enable keyboard shortcuts for navigation
        keyboard: true,

        // Enable the slide overview mode
        overview: true,

        // Disables the default reveal.js slide layout (scaling and centering)
        // so that you can use custom CSS layout
        disableLayout: false,

        // Vertical centering of slides
        center: true,

        // Enables touch navigation on devices with touch input
        touch: true,

        // Loop the presentation
        loop: false,

        // Change the presentation direction to be RTL
        rtl: false,

        // see https://revealjs.com/vertical-slides/#navigation-mode
        navigationMode: 'default',

        // Randomizes the order of slides each time the presentation loads
        shuffle: false,

        // Turns fragments on and off globally
        fragments: true,

        // Flags whether to include the current fragment in the URL,
        // so that reloading brings you to the same fragment position
        fragmentInURL: true,

        // Flags if the presentation is running in an embedded mode,
        // i.e. contained within a limited portion of the screen
        embedded: false,

        // Flags if we should show a help overlay when the questionmark
        // key is pressed
        help: true,

        // Flags if it should be possible to pause the presentation (blackout)
        pause: true,

        // Flags if speaker notes should be visible to all viewers
        showNotes: false,

        // Global override for autoplaying embedded media (null/true/false)
        autoPlayMedia: null,

        // Global override for preloading lazy-loaded iframes (null/true/false)
        preloadIframes: null,

        // Number of milliseconds between automatically proceeding to the
        // next slide, disabled when set to 0, this value can be overwritten
        // by using a data-autoslide attribute on your slides
        autoSlide: 0,

        // Stop auto-sliding after user input
        autoSlideStoppable: true,

        // Use this method for navigation when auto-sliding
        autoSlideMethod: null,

        // Specify the average time in seconds that you think you will spend
        // presenting each slide. This is used to show a pacing timer in the
        // speaker view
        defaultTiming: null,

        // Enable slide navigation via mouse wheel
        mouseWheel: false,

        // The display mode that will be used to show slides
        display: 'block',

        // Hide cursor if inactive
        hideInactiveCursor: true,

        // Time before the cursor is hidden (in ms)
        hideCursorTime: 5000,

        // Opens links in an iframe preview overlay
        previewLinks: false,

        // Transition style (none/fade/slide/convex/concave/zoom)
        transition: 'slide',

        // Transition speed (default/fast/slow)
        transitionSpeed: 'default',

        // Transition style for full page slide backgrounds
        // (none/fade/slide/convex/concave/zoom)
        backgroundTransition: 'fade',

        // Number of slides away from the current that are visible
        viewDistance: 3,

        // Number of slides away from the current that are visible on mobile
        // devices. It is advisable to set this to a lower number than
        // viewDistance in order to save resources.
        mobileViewDistance: 2,

        // reveal.js plugins
        plugins: [
          RevealNotes,
          RevealSearch,
          RevealZoom
        ]
      });
    </script>
    </body>
</html>
